- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkUploadFeedbackLabels#try-it)

Upload feedback labels from an external source in bulk. Currently supports labeling Quality AI example conversations.

### HTTP request

`POST https://{endpoint}/v1alpha1/{parent=projects/*/locations/*}:bulkUploadFeedbackLabels`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource for new feedback labels. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "validateOnly": boolean, // Union field `source` can be only one of the following: "gcsSource": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/GcsSource`) }, "sheetsSource": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/SheetsSource`) } // End of list of possible types for union field `source`. } ``` |

| Fields ||
|---|---|
| `validateOnly` | `boolean` Optional. If set, upload will not happen and the labels will be validated. If not set, then default behavior will be to upload the labels after validation is complete. |
| Union field `source`. Configuration for an external data store containing objects that will be converted to FeedbackLabels. `source` can be only one of the following: ||
| `gcsSource` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/GcsSource`)`` A cloud storage bucket source. |
| `sheetsSource` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/SheetsSource`)`` A sheets document source. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.authorizedFeedbackLabels.upload`
- `contactcenterinsights.feedbackLabels.upload`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).